http://paymentsplus.com.au/ 2.1.5 Blind SQL Injection Vulnerability 090710 current version 2.20, 2.1.5 not listed on dev site

Authors:

Read more http://docs.joomla.org/Vulnerable_Extensions_List#PaymentsPlus